For the complete documentation index, see llms.txt. This page is also available as Markdown.

Audit

Data Audit Find All

get

NOTE: Available only if Admin Access -> Data Audit is set.

Find data audit event

It is a typical API to work with data audit

URL Structure: {{url}} / {{tenantName}} / admin /audit-data

in our example it would be: https://api.live.welkincloud.io/gh/admin/audit-data

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
Query parameters
cdtNamestringOptional

Cdt name

Example: all_types_no_restrictions
subjectUsernamestringOptional

Username of a person performing the action

Example: root
instancestringOptional

Instance name

Example: test
patientFullNamestringOptional

Full name of the patient who the action was taken on

Example: test asdf
dateStartstring · date-timeOptional

Date_time in ISO-8601 format Filter by sentAt.

Example: 2021-02-04T16:40:50.363Z
dateEndstring · date-timeOptional

Date_time in ISO-8601 format Filter by sentAt.

Example: 2021-02-04T16:40:50.363Z
entitystringOptional

Type of the entity: CDT, PATIENT

Example: CDT
subjectFullNamestringOptional

Full name of the person performing the action

Example: root
includeFormationbooleanOptional

Include cdt formation

Example: true
subjectUserIdstring · uuidOptional

Id of a person performing the action

subjectActorstringOptional

Client type of the person performing the action: API_CLIENT, PATIENT, CS_TOOL_CLIENT, USER

patientIdstring · uuidOptional

Id of the patient who the action was taken on

sentAtstring · date-timeOptional

Date_time in ISO-8601 format. When action happens

cdtstringOptional

Object describe all fields with types

operationstringOptional

Type of action operation: CREATE, UPDATE, DELETE

recordstringOptional

Object after performing the action on it

Responses
200

Paginated audit trail records

application/json
get/{tenantName}/admin/audit-data
GET /{tenantName}/admin/audit-data HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "eventId": "text",
      "eventEntity": "PATIENT",
      "url": "text",
      "subjectUsername": "text",
      "subjectUserId": "123e4567-e89b-12d3-a456-426614174000",
      "subjectActor": "CS_TOOL_CLIENT",
      "subjectFullName": "text",
      "patientFullName": "text",
      "patientId": "123e4567-e89b-12d3-a456-426614174000",
      "instance": "text",
      "cdtName": "text",
      "cdtRelation": "COMMON",
      "cdt": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "title": "text",
        "label": "text",
        "version": 1,
        "internal": true,
        "readable": true,
        "updatable": true,
        "type": "SINGLE_RECORD",
        "relation": "COMMON",
        "fields": [
          {
            "name": "text",
            "type": "TEXT",
            "formula": "text",
            "dictionary": {
              "name": "text",
              "field": "text"
            },
            "profileDataType": {
              "name": "text",
              "fields": [
                "text"
              ]
            },
            "customDataType": {
              "name": "text",
              "fields": [
                "text"
              ]
            },
            "customFieldType": "text",
            "editable": true,
            "searchable": true,
            "bulkEdit": true,
            "phi": true,
            "disable": true,
            "injectedSource": true,
            "displayType": "CHECKBOX",
            "valueType": "STRING",
            "meta": {
              "label": "text",
              "minLength": 1,
              "maxLength": 1,
              "minValue": "text",
              "maxValue": "text",
              "fileTypes": [
                "text"
              ],
              "maxFiles": 1,
              "maxTotalFileSize": 1,
              "required": true,
              "options": [
                {
                  "label": "text",
                  "value": null,
                  "refCdtName": "text"
                }
              ],
              "multiple": true,
              "patterns": [
                "NUMBERS_ONLY"
              ]
            },
            "mask": {
              "symbol": "*",
              "startPosition": 1,
              "endPosition": 1
            },
            "richTextEnabled": true
          }
        ]
      },
      "eventSubtype": "text",
      "sentAt": "2026-01-01T00:00:00.000Z",
      "record": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "metaInfo": {
    "page": 1,
    "pageSize": 1,
    "totalElements": 1,
    "numberOfElements": 1
  }
}

Find Webhook Audit Event

get

NOTE: Available only if Admin Access -> Data Audit is set.

It is a typical API to work with webhook audit

URL Structure: {{url}} / {{tenantName}} / admin /audit-webhook

in our example it would be: https://api.live.welkincloud.io/gh/admin/audit-webhook

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
Query parameters
eventEntitystringOptional

Entity with which the webhook was called: CDT, ASSESSMENT

eventSubtypestringOptional

Type of performing action

statusstringOptional

Webhook call status: SENT, DELIVERED, FAILED,

patientIdstring · uuidOptional

Id of the patient who the action was taken on

recordstringOptional

Object after performing the action on it

headersstringOptional

List of headers with which the webhook is configured and was called

queryParametersstringOptional

List of parameters with which the webhook is configured and was called

dateEndstring · date-timeOptional

Date_time in ISO-8601 format. Filter by sentAt

dateStartstring · date-timeOptional

Date_time in ISO-8601 format. Filter by sentAt

instancestringOptional

The environment for which you want to execute the request

Responses
200

Paginated webhook delivery audit records

application/json
get/{tenantName}/admin/audit-webhook
GET /{tenantName}/admin/audit-webhook HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "sentAt": "2026-01-01T00:00:00.000Z",
      "eventEntity": "PATIENT",
      "patientId": "123e4567-e89b-12d3-a456-426614174000",
      "instance": "text",
      "status": "SENT",
      "statusCode": 1,
      "response": "text",
      "eventSubtype": "text",
      "record": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "metaInfo": {
    "page": 1,
    "pageSize": 1,
    "totalElements": 1,
    "numberOfElements": 1
  }
}

Last updated

Was this helpful?